
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    height: 100%;
}

img {
    display: block;
    max-width: 100%;
}

:root {

    /* add colors */
    --inky-green: #5faa60;
    --dark-green: #279250;
    --bright-green: #95c84b;
    --muted-green: #4b8570;
    --light-green: #92be9e;
    --dark-blue: #3f6f81;
    --muted-blue: #7599a4;
    --light-blue: #e0ecea;
    --medium-blue: #668d90;
    --light-gray: #d3d3d2;
    --dark-grey: #2f3332;
    --storm-coast-gray: #636361;
    --off-White: #ededeb;
    --black: #131414;

    /* fonts */
    --font-heading: articulat-heavy-cf, sans-serif;
    --font-extra: articulat-cf, sans-serif;
    --font-body: articulat-cf, sans-serif;

}

/* add light and dark mode!!! */
body {
    background-color: var(--off-White);
    color: var(--dark-grey);
    font-family: var(--font-body);
    margin: 0 auto;
    width: 100%;
    max-width: 1280px;
}

body.dark-mode {
    background-color: var(--storm-coast-gray);
    color: var(--off-White);
}

header {
display: flex;
align-items: center;
justify-content: flex-start;
gap: 2rem;
background-color: var(--light-gray);            /* fix colors */
border-bottom: 2px solid var(--bright-green);
}

header img {
    max-width: 150px;
    height: auto;
}

nav {
    margin-left: auto;
}

nav ul {
    list-style: none;
    display: flex;
    gap: 1rem;
    margin: 0;
}

nav a {
    text-decoration: none;
    color: var(--dark-grey);
    font-weight: bold;
}

nav a:hover {
    color: var(--bright-green);
    transition: color 0.5s;
}

body.dark-mode header {
    background-color: var(--black);          /* fix colors */
    color: var(--off-White);
    border-bottom: 2px solid var(--bright-green);
}

body.dark-mode nav a {
    color: var(--off-White);
}

body.dark-mode nav a:hover {
    color: var(--bright-green);
}

#l-d-toggle {
    font-size: 1rem;
    background-color: var(--off-White);
    color: var(--bright-green);                         /* fix colors */
    border: 1px solid var(--bright-green);
    border-radius: 50%;
    width: 2rem;
    height: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

body.dark-mode #l-d-toggle {
    background-color: var(--storm-coast-gray);
    color: var(--bright-green);
}

#about {
    background-image: linear-gradient(
        rgba(0, 0, 0, 0.6),
        rgba(0, 0, 0, 0.6)
    ),
    url("images/dai-background-poster.jpg");
    background-size: cover;
    background-position: center;
    color: var(--light-blue);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 4rem 2rem;
    line-height: 1.4;
    margin-bottom: 1.6rem;
    border-bottom: 2px solid var(--bright-green);
}

#about iframe {
    border: 2px solid var(--bright-green);
}

#shop {
    text-align: center;
}

#shop h2 {
    margin-bottom: 0.3rem;
}

#shop p {
    font-weight: bolder;
    margin-bottom: 0.3rem;
}

.platform-option-logos {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    margin-bottom: 1rem;
}

/* add product display */
#product-display {
    text-align: center;
    margin-bottom: 2rem;
}

#product-display img:first-of-type {
    display: block;
    margin: 0 auto 1rem auto;
}

.platform-logo-selector {
    display: flex;
    justify-content: center;
    gap: 1rem;
}

body.dark-mode .selector {
    color: var(--off-White);
}

.selector {
    background: none;
    border: transparent;
    color: var(--dark-grey);
    font-weight: bolder;
    font-size: larger;
    cursor: pointer;
    margin-top: 1rem;
}

.selector:hover {
    color: var(--bright-green);
    transition: color 0.5s;
}

.platform-logo-display {
    margin-top: 1.5rem;
}




/* add game */

#contact h2 {
text-align: center;     /* center */
}

#contact form {
    display: flex;
    flex-direction: column;
    width: 800px;
    padding: 1rem;
    margin: 2rem auto;
}

#contact fieldset {
    display: flex;
    flex-direction: column;
    gap: 0.4rem;
}

#contact fieldset label {
    display: flex;
    align-items: center;
    gap: 0.4rem;
}
#contact label {
    font-weight: bolder;
    margin-bottom: 0.2rem;
}

#contact legend {
    font-family: var(--font-body);
    font-weight: bolder;
    margin-bottom: 1rem;
}

#contact input, #contact textarea, #contact select {
    padding: 1rem;
    border: 1px solid var(--black);
    border-radius: 2px;
    font-family: var(--font-body);
    font-size: larger;
    width: 100%;
    box-sizing: border-box;
    margin-bottom: 1rem;
}

#contact input[type="submit"] {
    background-color: var(--bright-green);
    color: var(--off-White);
    font-weight: bold;
    font-size: larger;
    border: none;
    border-radius: 4px;
    padding: 1rem;
    width: 100%;
    max-width: 400px;
    align-self: center;
    cursor: pointer;
}

footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

footer .social-media {
    display: flex;
    gap: 1rem;
    justify-content: center;
    margin-bottom: 2rem;
}